
Redmine - Feature #2993

50k users cause problems in project->settings->members screen...

2009-03-17 21:29 - Zarooba Rozruba

Status: Closed Start date: 2009-03-17

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

I have 50k+ users.

Whenever I open project settings screen ruby chokes (I assume this is because of the high user count).  Further more, when I head

to members screen, the dropdown with 50k+ users kills my browser.

I have learned to manage users through administration->Users->[pick user]->Project, and then add the person to a project.  But this

is something that only administrator can do, not a project manager.

Instead of a drop down could it be a search screen?  Kind like we already have under administration->users ?

Thank you

Related issues:

Has duplicate Redmine - Defect #4408: Huge dropdown kills browser: dropdown f... Closed 2009-12-15

Associated revisions

Revision 2638 - 2009-03-28 13:07 - Jean-Philippe Lang

Adds a user search field with autocompleter on project members screen.

User selection with checkboxes is disabled if there are more than 300 users available (#2993).

History

#1 - 2009-03-17 21:34 - Zarooba Rozruba

This is on redmine v 0.8.2

debug output from server :

Processing ProjectsController#settings (for 127.0.0.1 at 2009-03-17 16:35:55) [GET]

  Session ID: d5774df5e1c9764e169b60d5dfac9390

  Parameters: {"action"=>"settings", "id"=>"everything", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

Completed in 29.50000 (0 reqs/sec) | Rendering: 21.20200 (71%) | DB: 8.28200 (28%) | 200 OK [http://localhost/

projects/settings/everything]

#2 - 2009-03-28 13:03 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

r2638 fixes that problem. You now have a user search field with autocompleter.

#3 - 2009-04-01 20:26 - Zarooba Rozruba

- % Done changed from 0 to 100

Thank you,

This is exactly what I needed.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2638


Kind regards

#4 - 2010-02-19 16:28 - Richard Schulte

woah! just wondering, if you dont mind my asking, how did your redmine site end up with 50k+ members?

#5 - 2010-02-19 17:23 - Zarooba Rozruba

Company I work with has that many people listed in LDAP. This includes people that are not employed directly, but also through contract work.  Not

all of them actually use Redmine, but all their accounts needed to be created so that they can be assigned to projects without having logged into

Redmine first.

Additional stats:

- almost 200 projects

- 40k various project commits

- 7k issues

Unfortunately only a small fraction of the company actually uses Redmine, and not yet in full capability.  Documentation stays in Sharepoint, wiki

underused, not all projects hook up  repository, some groups will use TFS/Mantis/SharePoint/RequistePro/Bugzilla/Remedy.

Currently Redmine has replaced 5 bug tracking systems used by various teams within the IT (two of which internally developed).
